<template>
  <div>
    <b-sidebar
      id="sidebar-1"
      title="Acklen Avenue"
      shadow
      visible
      no-header-close
      no-close-on-route-change
      width="250px"
    >
      <div class="py-2">
        <options :options="options" />
      </div>
    </b-sidebar>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Options from './Options.vue'

export default Vue.extend({
  name: 'Sidebar',
  components: { Options },
  data() {
    return {
      options: [
        {
          name: 'Employees',
          className: 'accordion-items is-active',
          link: '/employees',
          suboptions: [
            {
              name: 'View & Manage',
              link: '/employees'
            },
            {
              name: 'Add New',
              link: '/employees/create'
            }
          ]
        },
        {
          name: 'Logout',
          className: 'logout'
        }
      ]
    }
  }
})
</script>

<style></style>
